/**
 * Orbipay-Checkout APIs
 * API specification to use the Orbipay-Checkout APIs. This documentation covers the Merchant Account Management and Charge Management related APIs. 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: checkout.orbipay@alacriti.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayCheckoutApIs) {
      root.OrbipayCheckoutApIs = {};
    }
    root.OrbipayCheckoutApIs.Address = factory(root.OrbipayCheckoutApIs.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The Address model module.
   * @module model/Address
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Address</code>.
   * @alias module:model/Address
   * @class
   * @param addressLine1 {String} 
   * @param addressCity {String} 
   * @param addressState {String} 
   * @param addressCountry {String} The 3 digit ISO country code.
   * @param addressZip1 {String} 
   */
  var exports = function(addressLine1,addressLine2, addressCity, addressState, addressCountry, addressZip1) {
    var _this = this;

    _this['address_line1'] = addressLine1;
    _this['address_line2'] = addressLine2;
    _this['address_city'] = addressCity;
    _this['address_state'] = addressState;
    _this['address_country'] = addressCountry;
    _this['address_zip1'] = addressZip1;

  };

  /**
   * Constructs a <code>Address</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Address} obj Optional instance to populate.
   * @return {module:model/Address} The populated <code>Address</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('address_line1')) {
        obj['address_line1'] = ApiClient.convertToType(data['address_line1'], 'String');
      }
      if (data.hasOwnProperty('address_line2')) {
        obj['address_line2'] = ApiClient.convertToType(data['address_line2'], 'String');
      }
      if (data.hasOwnProperty('address_city')) {
        obj['address_city'] = ApiClient.convertToType(data['address_city'], 'String');
      }
      if (data.hasOwnProperty('address_state')) {
        obj['address_state'] = ApiClient.convertToType(data['address_state'], 'String');
      }
      if (data.hasOwnProperty('address_country')) {
        obj['address_country'] = ApiClient.convertToType(data['address_country'], 'String');
      }
      if (data.hasOwnProperty('address_zip1')) {
        obj['address_zip1'] = ApiClient.convertToType(data['address_zip1'], 'String');
      }
     /* if (data.hasOwnProperty('address_zip2')) {
        obj['address_zip2'] = ApiClient.convertToType(data['address_zip2'], 'String');
      }*/
    }
    return obj;
  }

  /**
   * @member {String} address_line1
   */
  exports.prototype['address_line1'] = undefined;
  /**
   * @member {String} address_line2
   */
  exports.prototype['address_line2'] = undefined;
  /**
   * @member {String} address_city
   */
  exports.prototype['address_city'] = undefined;
  /**
   * @member {String} address_state
   */
  exports.prototype['address_state'] = undefined;
  /**
   * The 3 digit ISO country code.
   * @member {String} address_country
   */
  exports.prototype['address_country'] = undefined;
  /**
   * @member {String} address_zip1
   */
  exports.prototype['address_zip1'] = undefined;
  /**
   * @member {String} address_zip2
   */
  //exports.prototype['address_zip2'] = undefined;



  return exports;
}));


