/**
 * Orbipay-Checkout APIs
 * API specification to use the Orbipay-Checkout APIs. This documentation covers the Merchant Account Management and Charge Management related APIs. 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: checkout.orbipay@alacriti.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.2.3
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/CustomerAccount', 'model/Payer', 'model/FundingAccount'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./CustomerAccount'), require('./Payer'), require('./FundingAccount'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayCheckoutApIs) {
      root.OrbipayCheckoutApIs = {};
    }
    root.OrbipayCheckoutApIs.ConfirmAddFundAcctResponse = factory(root.OrbipayCheckoutApIs.ApiClient, root.OrbipayCheckoutApIs.CustomerAccount, root.OrbipayCheckoutApIs.Payer, root.OrbipayCheckoutApIs.FundingAccount);
  }
}(this, function(ApiClient, CustomerAccount, Payer, FundingAccount) {
  'use strict';




  /**
   * The ConfirmAddFundAcctResponse model module.
   * @module model/ConfirmAddFundAcctResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ConfirmAddFundAcctResponse</code>.
   * @alias module:model/ConfirmAddFundAcctResponse
   * @class
   */
  var exports = function() {
    var _this = this;





  };

  /**
   * Constructs a <code>ConfirmAddFundAcctResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ConfirmAddFundAcctResponse} obj Optional instance to populate.
   * @return {module:model/ConfirmAddFundAcctResponse} The populated <code>ConfirmAddFundAcctResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('custom_fields')) {
           obj['custom_fields'] = ApiClient.convertToType(data['custom_fields'], 'Object');
      }
      if (data.hasOwnProperty('funding_account')) {
        obj['funding_account'] = FundingAccount.constructFromObject(data['funding_account']);
      }
      if (data.hasOwnProperty('payer')) {
        obj['payer'] = Payer.constructFromObject(data['payer']);
      }
      if (data.hasOwnProperty('customer_account')) {
        obj['customer_account'] = CustomerAccount.constructFromObject(data['customer_account']);
      }
    }
    return obj;
  }

  /**
   * @member {module:model/FundingAccount} funding_account
   */
  exports.prototype['funding_account'] = undefined;
  /**
   * @member {module:model/Payer} payer
   */
  exports.prototype['payer'] = undefined;
  /**
   * @member {module:model/CustomerAccount} customer_account
   */
  exports.prototype['customer_account'] = undefined;
  /**
  //  * @member {Object} custom_fields
  //  */
  exports.prototype['custom_fields'] = undefined;



  return exports;
}));


